# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    # disable RDP
    print('Disabling RDP')
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server','fDenyTSConnections',1)
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server\WinStations\RDP-Tcp','UserAuthentication',1)
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server\WinStations\RDP-Tcp','SecurityLayer',1)

    # closing firewall for RDP
    print('Closing firewall for RDP')
    run('netsh firewall set service type=RemoteDesktop mode=disable profile=all')


def uninstall():
    # disable RDP
    print('Reverting RDP to default options')
    registry_delete(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server','fDenyTSConnections')
    registry_delete(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server\WinStations\RDP-Tcp','UserAuthentication')
    registry_delete(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Terminal Server\WinStations\RDP-Tcp','SecurityLayer')


def audit():
    if service_is_running('TermService'):
        print('WARNING: RDP service is running, WAPT is going to stop RDP service')
        service_stop('TermService')
        return "WARNING"
    else:
        print('OK: RDP service is not running')
        return "OK"


def update_package():
    # Initializing variables
    version = control.version.split('-')[0]

    # Incrementing version of the package
    control.version = '%s-%s'%(version,int(control.version.split('-')[-1])+1)
    control.save_control_to_wapt()
    print('Changing package version to: %s in WAPT\\control' % control.version)